"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _lodash = _interopRequireDefault(require("lodash"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _default = function _default(swig) {
  /* ===============
   Swig filters
   =============== */
  swig.setFilter('kebabCase', function (input) {
    return _lodash["default"].kebabCase(input);
  });
  swig.setFilter('camelCase', function (input) {
    return _lodash["default"].capitalize(_lodash["default"].camelCase(input));
  });
  swig.setFilter('camelCaseOnly', function (input) {
    return _lodash["default"].camelCase(input);
  });
  swig.setFilter('upperCase', function (input) {
    return input.toUpperCase();
  });
  swig.setFilter('PascalCase', function (input) {
    return _lodash["default"].startCase(input).split(' ').join('');
  });
};

exports["default"] = _default;